/* Copyright (c) 2011 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

//
//  GTLOrkutVisibility.h
//

// ----------------------------------------------------------------------------
// NOTE: This file is generated from Google APIs Discovery Service.
// Service:
//   Orkut API (orkut/v2)
// Description:
//   Lets you manage activities, comments and badges in Orkut. More stuff coming
//   in time.
// Documentation:
//   http://code.google.com/apis/orkut/v2/reference.html
// Classes:
//   GTLOrkutVisibility (0 custom class methods, 3 custom properties)

#if GTL_BUILT_AS_FRAMEWORK
  #import "GTL/GTLObject.h"
#else
  #import "GTLObject.h"
#endif

@class GTLOrkutLinkResource;

// ----------------------------------------------------------------------------
//
//   GTLOrkutVisibility
//

@interface GTLOrkutVisibility : GTLObject

// Identifies this resource as a visibility item. Value: "orkut#visibility"
@property (copy) NSString *kind;

// List of resources for the visibility item.
@property (retain) NSArray *links;  // of GTLOrkutLinkResource

// The visibility of the resource. Possible values are:
// - default: not hidden by the user
// - hidden: hidden
@property (copy) NSString *visibility;

@end
