/* Copyright (c) 2013 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

//
//  GTLYouTube.h
//

// ----------------------------------------------------------------------------
// NOTE: This file is generated from Google APIs Discovery Service.
// Service:
//   YouTube Data API (youtube/v3)
// Description:
//   Programmatic access to YouTube features.
// Documentation:
//   https://developers.google.com/youtube/v3

#import "GTLYouTubeConstants.h"

#import "GTLYouTubeAccessPolicy.h"
#import "GTLYouTubeActivity.h"
#import "GTLYouTubeActivityContentDetails.h"
#import "GTLYouTubeActivityListResponse.h"
#import "GTLYouTubeActivitySnippet.h"
#import "GTLYouTubeChannel.h"
#import "GTLYouTubeChannelBrandingSettings.h"
#import "GTLYouTubeChannelContentDetails.h"
#import "GTLYouTubeChannelListResponse.h"
#import "GTLYouTubeChannelSettings.h"
#import "GTLYouTubeChannelSnippet.h"
#import "GTLYouTubeChannelStatistics.h"
#import "GTLYouTubeChannelStatus.h"
#import "GTLYouTubeChannelTopicDetails.h"
#import "GTLYouTubeContentRating.h"
#import "GTLYouTubeFeaturedChannel.h"
#import "GTLYouTubeFeaturedVideo.h"
#import "GTLYouTubeGeoPoint.h"
#import "GTLYouTubeGuideCategory.h"
#import "GTLYouTubeGuideCategoryListResponse.h"
#import "GTLYouTubeGuideCategorySnippet.h"
#import "GTLYouTubeImageSettings.h"
#import "GTLYouTubeInvideoFeature.h"
#import "GTLYouTubeLiveBroadcast.h"
#import "GTLYouTubeLiveBroadcastContentDetails.h"
#import "GTLYouTubeLiveBroadcastList.h"
#import "GTLYouTubeLiveBroadcastSnippet.h"
#import "GTLYouTubeLiveBroadcastStatus.h"
#import "GTLYouTubeLiveStream.h"
#import "GTLYouTubeLiveStreamCdn.h"
#import "GTLYouTubeLiveStreamCdnIngestionInfo.h"
#import "GTLYouTubeLiveStreamList.h"
#import "GTLYouTubeLiveStreamSnippet.h"
#import "GTLYouTubeLiveStreamStatus.h"
#import "GTLYouTubeLocalizedProperty.h"
#import "GTLYouTubeLocalizedString.h"
#import "GTLYouTubePageInfo.h"
#import "GTLYouTubePlayer.h"
#import "GTLYouTubePlayerAdsPlaylist.h"
#import "GTLYouTubePlayerListResponse.h"
#import "GTLYouTubePlayerRestrictionDetails.h"
#import "GTLYouTubePlayerVideoUrl.h"
#import "GTLYouTubePlayerVideoUrls.h"
#import "GTLYouTubePlaylist.h"
#import "GTLYouTubePlaylistContentDetails.h"
#import "GTLYouTubePlaylistItem.h"
#import "GTLYouTubePlaylistItemContentDetails.h"
#import "GTLYouTubePlaylistItemListResponse.h"
#import "GTLYouTubePlaylistItemSnippet.h"
#import "GTLYouTubePlaylistItemStatus.h"
#import "GTLYouTubePlaylistListResponse.h"
#import "GTLYouTubePlaylistPlayer.h"
#import "GTLYouTubePlaylistSnippet.h"
#import "GTLYouTubePlaylistStatus.h"
#import "GTLYouTubePropertyValue.h"
#import "GTLYouTubeResourceId.h"
#import "GTLYouTubeSearchListResponse.h"
#import "GTLYouTubeSearchResult.h"
#import "GTLYouTubeSearchResultSnippet.h"
#import "GTLYouTubeSubscription.h"
#import "GTLYouTubeSubscriptionContentDetails.h"
#import "GTLYouTubeSubscriptionListResponse.h"
#import "GTLYouTubeSubscriptionSnippet.h"
#import "GTLYouTubeThumbnail.h"
#import "GTLYouTubeThumbnailDetails.h"
#import "GTLYouTubeVideo.h"
#import "GTLYouTubeVideoAgeGating.h"
#import "GTLYouTubeVideoCategory.h"
#import "GTLYouTubeVideoCategoryListResponse.h"
#import "GTLYouTubeVideoCategorySnippet.h"
#import "GTLYouTubeVideoContentDetails.h"
#import "GTLYouTubeVideoContentDetailsRegionRestriction.h"
#import "GTLYouTubeVideoFileDetails.h"
#import "GTLYouTubeVideoFileDetailsAudioStream.h"
#import "GTLYouTubeVideoFileDetailsVideoStream.h"
#import "GTLYouTubeVideoListResponse.h"
#import "GTLYouTubeVideoMonetizationDetails.h"
#import "GTLYouTubeVideoPlayer.h"
#import "GTLYouTubeVideoProcessingDetails.h"
#import "GTLYouTubeVideoProcessingDetailsProcessingProgress.h"
#import "GTLYouTubeVideoProjectDetails.h"
#import "GTLYouTubeVideoRecordingDetails.h"
#import "GTLYouTubeVideoSnippet.h"
#import "GTLYouTubeVideoStatistics.h"
#import "GTLYouTubeVideoStatus.h"
#import "GTLYouTubeVideoSuggestions.h"
#import "GTLYouTubeVideoSuggestionsTagSuggestion.h"
#import "GTLYouTubeVideoTopicDetails.h"
#import "GTLYouTubeWatchSettings.h"

#import "GTLQueryYouTube.h"
#import "GTLServiceYouTube.h"
